package com.yunzhi.training.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.training.entity.TaSchoolClass;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 班级 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-02-21
 */
@Mapper
public interface TaSchoolClassMapper extends BaseMapper<TaSchoolClass> {

    IPage<TaSchoolClass> getPageBy(IPage<TaSchoolClass> pg,
                                   @Param("termId") String termId,
                                   @Param("name") String name,
                                   @Param("client") String client);
}
